% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{CalcContrastMatrix_SBP}
\alias{CalcContrastMatrix_SBP}
\title{Calculate the contrast matrix using a sign matrix}
\usage{
CalcContrastMatrix_SBP(S)
}
\arguments{
\item{S}{Sign matrix.}
}
\value{
A contrast matrix is returned.
}
\description{
Calculate the contrast matrix using a sign matrix, which
encodes are sequential binary partion (SBP).
}
\details{
The contrast matrix is defined in Definition 4.3, on page 36 of the
reference.

The algorithm is presented on pages 38-39 of the reference.
}
\examples{
S <- rbind(c(1, 1, -1, -1, 1, 1),
           c(1, -1, 0, 0, -1, -1),
           c(0, 1, 0, 0, -1, -1),
           c(0, 0, 0, 0, 1, -1),
           c(0, 0, 1, -1, 0, 0))
CalcContrastMatrix_SBP(S)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
