% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{CalcInnerProduct}
\alias{CalcInnerProduct}
\title{Calculate the Aitchison inner product}
\usage{
CalcInnerProduct(x, y, constSumValue = 1)
}
\arguments{
\item{x}{Closed compositional vector.}

\item{y}{Closed compositional vector.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A scalar (the inner product) is returned.
}
\description{
Calculate the Aitchison inner product between two, closed
compositional vectors.
}
\details{
The lengths of x and y must be equal.

The inner production is defined in Definition 3.5, on page 26 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(y <- Close( c(1, 2, 1), constSumValue))
CalcInnerProduct(x, y, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
