% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{CalcNorm}
\alias{CalcNorm}
\title{Calculate the Aitchison norm}
\usage{
CalcNorm(x, constSumValue = 1)
}
\arguments{
\item{x}{Closed compositional vector.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A scalar (the norm) is returned.
}
\description{
Calculate the Aitchison norm of a closed
compositional vector.
}
\details{
The norm is defined in Definition 3.6, on page 26 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
CalcNorm(x, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
