% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{CalcSampleCenter}
\alias{CalcSampleCenter}
\title{Calculate the sample center}
\usage{
CalcSampleCenter(X, constSumValue = 1)
}
\arguments{
\item{X}{Closed compositional matrix.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A closed compositional vector is returned.
}
\description{
Calculate the sample center of a compositional matrix.
}
\details{
The sample center is defined in Definition 5.1, on page 66 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(y <- Close( c(1, 2, 1), constSumValue))
CalcSampleCenter(rbind(x, y), constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
