% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{CalcTotalVariance}
\alias{CalcTotalVariance}
\title{Calculate the sample total variance}
\usage{
CalcTotalVariance(TT)
}
\arguments{
\item{TT}{Variation matrix.}
}
\value{
The sample total variance (a scalar) is returned.
}
\description{
Calculate the sample total variance.
}
\details{
The variation matrix is defined in Definition 5.3, on page 67 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(y <- Close( c(1, 2, 1), constSumValue))
(z <- Close( c(2, 1, 4), constSumValue))
(TT <- CalcVariationMatrix(rbind(x, y, z), constSumValue))
CalcTotalVariance(TT)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
