% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{CalcVariationMatrix}
\alias{CalcVariationMatrix}
\title{Calculate the variation matrix}
\usage{
CalcVariationMatrix(X, constSumValue = 1)
}
\arguments{
\item{X}{Closed compositional matrix.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A variation matrix is returned.
}
\description{
Calculate the variation matrix of a compositional matrix.
}
\details{
The variation matrix is defined in Definition 5.2, on page 66 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(y <- Close( c(1, 2, 1), constSumValue))
(z <- Close( c(2, 1, 4), constSumValue))
CalcVariationMatrix(rbind(x, y, z), constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
