% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{Close}
\alias{Close}
\title{Closure operation}
\usage{
Close(x, constSumValue = 1)
}
\arguments{
\item{x}{Unclosed compositional vector.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A closed compositional vector is returned.
}
\description{
Apply closure to an unclosed compositional vector.
}
\details{
Typical values for constSumValue are 1, 100, and 1000000.

The closure operation is defined in Definition 2.3, on page 9 of the
reference.
}
\examples{
Close(c(1, 2, 3), constSumValue = 1.0)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
