% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{Clr}
\alias{Clr}
\title{Clr transformation}
\usage{
Clr(x, constSumValue = 1)
}
\arguments{
\item{x}{Closed, compositional vector.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A vector comprising the clr coordinates is returned.
}
\description{
Transform a compositional vector to a vector of centered
log-ratio (clr) coordinates.
}
\details{
The clr transformation is defined on pages 35-35 of the reference. The
computational procedure is specified in a cheat-sheet written by
Raimon Tolosana-Delgado; the cheat-sheet is not formally published.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
Clr(x, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
