% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{Ilr}
\alias{Ilr}
\title{Ilr transformation}
\usage{
Ilr(x, Psi, constSumValue = 1)
}
\arguments{
\item{x}{Closed, compositional vector.}

\item{Psi}{Contrast matrix.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A vector comprising the ilr coordinates is returned.
}
\description{
Transform a compositional vector to a vector of isometric
log-ratio (ilr) coordinates.
}
\details{
The ilr transformation is defined in Equation 4.7, on page 37 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(Psi <- CalcContrastMatrix(3))
Ilr(x, Psi, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
