% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{InvClr}
\alias{InvClr}
\title{Inverse clr transformation}
\usage{
InvClr(z, constSumValue = 1)
}
\arguments{
\item{z}{Vector of clr coordinates.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A closed compositional vector is returned.
}
\description{
Transform a vector of centered
log-ratio (clr) coordinates to a closed compositional vector.
}
\details{
The inverse clr transformation is defined in Equation 4.4, on page 34 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(z <- Clr(x, constSumValue))
InvClr(z, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
