% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{InvIlr}
\alias{InvIlr}
\title{Inverse ilr transformation}
\usage{
InvIlr(z, Psi, constSumValue = 1)
}
\arguments{
\item{z}{Vector of ilr coordinates.}

\item{Psi}{Contrast matrix.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A closed compositional vector is returned.
}
\description{
Transform a vector of isometric
log-ratio (ilr) coordinates to a closed compositional vector.
}
\details{
The ilr transformation is defined in Equation 4.8, on page 37 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(Psi <- CalcContrastMatrix(3))
(z <- Ilr(x, Psi, constSumValue))
InvIlr(z, Psi, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
