% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{Perturb}
\alias{Perturb}
\title{Perturbation operation}
\usage{
Perturb(x, y, constSumValue = 1)
}
\arguments{
\item{x}{Closed compositional vector.}

\item{y}{Closed compositional vector.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A closed compositional vector is returned.
}
\description{
Apply perturbation to two, closed compositional vectors.
}
\details{
The lengths of x and y must be equal.

The perturbation operation is defined in Definition 3.1, on page 24 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(x <- Close( c(1, 2, 3), constSumValue))
(y <- Close( c(1, 2, 1), constSumValue))
Perturb(x, y, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
