% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{Power}
\alias{Power}
\title{Powering operation}
\usage{
Power(x, alpha, constSumValue = 1)
}
\arguments{
\item{x}{Closed compositional vector.}

\item{alpha}{Scalar.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A closed compositional vector is returned.
}
\description{
Apply powering to a closed compositional vector.
}
\details{
The perturbation operation is defined in Definition 3.2, on page 24 of the
reference.
}
\examples{
(constSumValue <- 1.0)
(alpha <- 0.5)
(x <- Close( c(1, 2, 3), constSumValue))
Power(x, alpha, constSumValue)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compositional data: John Wiley and Sons, Ltd.
}
