% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CoDaFunctions.R
\name{scaledLogit}
\alias{scaledLogit}
\title{Ilr transformation using a scaled logit}
\usage{
scaledLogit(x, constSumValue = 1)
}
\arguments{
\item{x}{One value of a two-part composition. Argument x may
be either a scalar or a vector.}

\item{constSumValue}{Sum of the composition.}
}
\value{
A scalar (the ilr coordinate) is returned.
}
\description{
Frequently compositional data comprises just two parts (that is,
the data pertain to a two dimensional simplex),
but only one value of the two parts is specified.
For example, such data might be a titanium concentration.
Although the data could be transformed to isometric log-ratio
coordinates using functions CalcContrastMatrix and TransComp2Ilr, it is
requires a lot of unnecessary computation and coding. For such cases,
the data can be transformed using a scaled logit, which gives exactly the
same result.
}
\details{
The ilr transformation is equation 5 in the reference.
}
\examples{
(constSumValue <- 1.0e6)
(x <- c(5.3, 7.2, 4.9))
scaledLogit(x, constSumValue)

}
\references{
Filzmoser, P., Hron, K., and Reimann, C., 2009, Univariate statistical
analysis of enironmental (compositional) data -- Problems and possibilities:
Science of the Total Environment, 407, 6100-6108.
}
